package com.bonus.canteen.core.menu.vo;

import com.bonus.canteen.core.menu.enums.AllocMealtimeTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

@ApiModel("获取指定日期菜谱计划菜品详情")
public class MenuRecipeDetailDateVO {
   @ApiModelProperty("餐次类型")
   private Integer mealtimeType;
   @ApiModelProperty("餐次名称")
   private String mealtimeName;
   @ApiModelProperty("详情id")
   private Long detailId;
   @ApiModelProperty("菜品详情")
   private List<MenuRecipeDetailDishesVO> dishesList;

   public String getMealtimeName() {
      return AllocMealtimeTypeEnum.getDescByKey(this.mealtimeType);
   }

   public Integer getMealtimeType() {
      return this.mealtimeType;
   }

   public Long getDetailId() {
      return this.detailId;
   }

   public List<MenuRecipeDetailDishesVO> getDishesList() {
      return this.dishesList;
   }

   public void setMealtimeType(final Integer mealtimeType) {
      this.mealtimeType = mealtimeType;
   }

   public void setMealtimeName(final String mealtimeName) {
      this.mealtimeName = mealtimeName;
   }

   public void setDetailId(final Long detailId) {
      this.detailId = detailId;
   }

   public void setDishesList(final List<MenuRecipeDetailDishesVO> dishesList) {
      this.dishesList = dishesList;
   }


}
